<?php
    require_once("../includes/initialize.php"); 
    if (!$session->is_admin_logged_in()) { redirect_to("logout.php"); }

    if(isset($_GET['cid']) && !empty($_GET['cid'])){
        $company = Company::find_by_id($_GET['cid']);
    } else {
        redirect_to("index.php");
    }
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <title><?php echo $company->name; ?> Employees - SASAPA ID Card</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta content="A fully featured admin theme which can be used to build CRM, CMS, etc." name="description" />
        <meta content="Coderthemes" name="author" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <!-- App favicon -->
        <link rel="shortcut icon" href="../assets/images/favicon.ico">

        <!-- Plugins css -->
        <link href="../assets/libs/mohithg-switchery/switchery.min.css" rel="stylesheet" type="text/css" />
        <link href="../assets/libs/multiselect/css/multi-select.css" rel="stylesheet" type="text/css" />
        <link href="../assets/libs/select2/css/select2.min.css" rel="stylesheet" type="text/css" />
        <link href="../assets/libs/selectize/css/selectize.bootstrap3.css" rel="stylesheet" type="text/css" />
        <link href="../assets/libs/bootstrap-touchspin/jquery.bootstrap-touchspin.min.css" rel="stylesheet" type="text/css" />

	    <!-- App css -->
	    <link href="../assets/css/config/default/bootstrap.min.css" rel="stylesheet" type="text/css" id="bs-default-stylesheet" />
	    <link href="../assets/css/config/default/app.min.css" rel="stylesheet" type="text/css" id="app-default-stylesheet" />

	    <link href="../assets/css/config/default/bootstrap-dark.min.css" rel="stylesheet" type="text/css" id="bs-dark-stylesheet" />
	    <link href="../assets/css/config/default/app-dark.min.css" rel="stylesheet" type="text/css" id="app-dark-stylesheet" />

	    <!-- icons -->
        <link href="../assets/css/icons.min.css" rel="stylesheet" type="text/css" />
        <link href="../assets/css/custom.css" rel="stylesheet" type="text/css" />

    </head>

    <!-- body start -->
    <body class="loading" data-layout='{"mode": "light", "width": "fluid", "menuPosition": "fixed", "sidebar": { "color": "light", "size": "default", "showuser": false}, "topbar": {"color": "dark"}, "showRightSidebarOnPageLoad": true}'>

        <!-- Begin page -->
        <div id="wrapper">

            <!-- Topbar Start -->
            <?php include_once("include/header.php")?>
            <!-- end Topbar -->

            <!-- ========== Left Sidebar Start ========== -->
            <?php include_once("include/sidebar.php")?>
            <!-- Left Sidebar End -->

            <!-- ============================================================== -->
            <!-- Start Page Content here -->
            <!-- ============================================================== -->

            <div class="content-page">
                <div class="content">

                    <!-- Start Content-->
                    <div class="container-fluid">
                     
                        <?php

                            // $sql = "Select * from company where status = 1 order by id ASC";
                            // $company = Company::find_by_sql($sql);

                            // foreach ($company as $company) {
                            
                            // }
                        ?>

                            
                        <div class="row">
                            <div class="col-12">
                                <div class="card">
                                    <div class="card-body">
                                        <div class="row justify-content-between">
                                            <div class="col-auto">
                                                <h4 class="page-title">Upload Employee Data - <?php echo $company->name; ?></h4>
                                            </div>
                                            <div class="col-md-4">
                                                <div class="text-md-end mt-3 mt-md-0">
                                                    <a href="employees-list.php?cid=<?php echo $company->id; ?>" class="btn btn-light waves-effect waves-light"><i class="mdi mdi-keyboard-backspace me-1"></i> back</a>
                                                    <a href="index.php" class="btn btn-success waves-effect waves-light"><i class="mdi mdi-home me-0"></i></a>
                                                </div>
                                            </div><!-- end col-->
                                        </div> <!-- end row -->
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->

                                <div class="card">
                                    <div class="card-body">    
                                        <form action="upload-employee-data-db.php?cid=<?php echo $_GET['cid']?>" method="POST" enctype="multipart/form-data">
                                            <div class="mb-3">
                                                <div class="mb-3">
                                                    <label for="example-fileinput" class="form-label">Attach Employees Excel Formated Data</label>
                                                    <input name="employee_excel" type="file" accept=".csv, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" id="example-fileinput" class="form-control">
                                                </div>
                                            </div>
                        
                                            <div class="text-start">
                                                <button type="submit" class="btn btn-success waves-effect waves-light"><i class="mdi mdi-cloud-upload me-1"></i> Upload Excel</button>
                                            </div>
                                        </form>
                                    </div> <!-- end card-body-->
                                </div> <!-- end card-->
                            </div> <!-- end col -->
                        </div>
                        <!-- end row -->
                            
                        
                    </div> <!-- container -->

                </div> <!-- content -->

                <!-- Footer Start -->
                <footer class="footer">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-md-12">
                                <script>document.write(new Date().getFullYear())</script> &copy; Powered by <a href="http://synergyace.com/" target="_blank" class="text-danger">Synergy Ace Pvt. Ltd.</a> 
                            </div>
                        </div>
                    </div>
                </footer>
                <!-- end Footer -->

            </div>

            <!-- ============================================================== -->
            <!-- End Page content -->
            <!-- ============================================================== -->


        </div>
        <!-- END wrapper -->

        <!-- Modal -->
        <div class="modal fade" id="custom-modal" role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header bg-light">
                        <h4 class="modal-title" id="myCenterModalLabel">Add New Opportunities</h4>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-hidden="true"></button>
                    </div>
                    <div class="modal-body p-4">
                        <form action="add-company-db.php" method="POST" enctype="multipart/form-data">
                            <div class="mb-3">
                                <label for="name" class="form-label">Company Name</label>
                                <input name="name" type="text" class="form-control" id="name" placeholder="Enter company name">
                            </div>
                            <div class="mb-3">
                                <div class="mb-3">
                                    <label for="example-fileinput" class="form-label">Company Logo</label>
                                    <input name="company_logo" type="file" id="example-fileinput" class="form-control">
                                </div>
                            </div>
                            <div class="mb-3">
                                <label class="form-label">Select Template</label> <br/>
                                <select name="idcard_template" class="form-control" data-toggle="select2" data-width="100%">
                                    <option>Template 1</option>
                                    <option>Template 2</option>
                                    <option>Template 3</option>
                                    <option>Template 4</option>
                                </select>
                            </div>
                            <div class="mb-3">
                                <label class="form-label">Select Signature</label> <br/>
                                <select name="signature_name" class="form-control" data-toggle="select2" data-width="100%">
                                    <option>Rohit</option>
                                    <option>Sandeep</option>
                                </select>
                            </div>

        
                            <div class="text-end">
                                <button type="submit" class="btn btn-success waves-effect waves-light"><i class="mdi mdi-content-save me-1"></i> Save</button>
                                <button type="button" class="btn btn-danger waves-effect waves-light" data-bs-dismiss="modal"><i class="mdi mdi-close-circle me-1"></i> Cancel</button>
                            </div>
                        </form>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->



        <!-- Success Alert Modal -->
        <div id="success-alert-modal" class="modal fade" role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-sm">
                <div class="modal-content modal-filled <?php
                    $message = output_message($message);
                    if(strpos($message, 'Company Added Successfully.') !== false){echo " bg-success ";} else {echo " bg-danger "; }
                ?> ">
                    <div class="modal-body p-4">
                        <div class="text-center">
                            <i class="dripicons-checkmark h1 text-white"></i>
                            <h4 class="mt-2 text-white">Success!</h4>
                            <p class="mt-3 text-white"><?php echo output_message($message); ?></p>
                            <button type="button" class="btn btn-light my-2" data-bs-dismiss="modal">Ok</button>
                        </div>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->


        <!-- Right bar overlay-->
        <div class="rightbar-overlay"></div>

        <!-- Vendor js -->
        <script src="../assets/js/vendor.min.js"></script>

        <script src="../assets/libs/selectize/js/standalone/selectize.min.js"></script>
        <script src="../assets/libs/mohithg-switchery/switchery.min.js"></script>
        <script src="../assets/libs/multiselect/js/jquery.multi-select.js"></script>
        <script src="../assets/libs/select2/js/select2.min.js"></script>
        <script src="../assets/libs/jquery-mockjax/jquery.mockjax.min.js"></script>
        <script src="../assets/libs/devbridge-autocomplete/jquery.autocomplete.min.js"></script>
        <script src="../assets/libs/bootstrap-touchspin/jquery.bootstrap-touchspin.min.js"></script>
        <script src="../assets/libs/bootstrap-maxlength/bootstrap-maxlength.min.js"></script>

        

        <!-- Init js-->
        <script src="../assets/js/pages/form-advanced.init.js"></script>

        <!-- App js -->
        <script src="../assets/js/app.min.js"></script>

        <script type="text/javascript">
            $('.delete-company').click(function() {
                var x = confirm("Are you sure you want Delete");
                if (x){
                    return true;
                } else{
                    return false;
                }
            });
        </script>

        <?php
            $message = output_message($message); 
            if(!empty($message)){
                echo "<script> $( document ).ready(function() { $('#success-alert-modal').modal('show'); });</script>";
            } 
        ?>
    </body>
</html>